Busca de inventário Lorawan Broker
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/devices \
--header 'Content-Type: <content-type>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/devices"
headers = {"Content-Type": "<content-type>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Content-Type': '<content-type>'}};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": [
{
"id": 0,
"idTerminal": 359009,
"devEui": "7cc98b1b09dabb00",
"appEui": null,
"tags": [
"tag"
],
"activationType": "OTTA",
"encryptionType": "NS",
"devAddr": "string",
"nwkskey": "string",
"appskey": "string",
"adrMode": "string",
"adrTxPower": 0,
"adrDatarate": 0,
"blockUplink": false,
"blockDownlink": false,
"devClass": "A",
"countersSize": 4,
"status": "ACTIVE",
"activationDate": "2024-11-05T16:12:27",
"cancellationDate": "2024-11-05T16:12:27",
"customer": {
"id": 64545646,
"parentId": 325697,
"name": "Teste Cliente"
},
"contract": "string",
"virtualAccount": {
"id": 201,
"idRMS": 205,
"name": "Teste",
"customer": {
"id": 64545646,
"parentId": 325697,
"name": "Teste Cliente"
},
"uplinkCount": 2000,
"downlinkCount": 5000
},
"virtualAccountId": 0,
"uplinksConsumed": 0,
"downlinksConsumed": 0,
"updatedAt": "2025-10-06",
"product": "string",
"description": "Teste_Dispositivo_REAL_API",
"dailyUplinkConsumption": 0,
"dailyDownlinkConsumption": 0
}
],
"pageable": {
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"paged": true,
"unpaged": true
},
"totalElements": 0,
"totalPages": 0,
"last": true,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"first": true,
"numberOfElements": 0,
"size": 0,
"number": 0,
"empty": true
}
]{
"errors": "Parameter not found"
}{
"errors": "Unauthorized"
}{
"errors": "Forbidden"
}{
"errors": "Not Found"
}{
"errors": "Internal Server Error"
}Lorawan
API para Buscar Inventário LoRaWAN Broker
Obtém uma lista paginada de dispositivos LoRaWAN.
GET
/
lorawan
/
broker
/
devices
Busca de inventário Lorawan Broker
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Query Parameters
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Visão dos dispositivos. Available values : true (visão a receber), false (visão a pagar)
Example:
"true"
Cliente
Example:
12345
Filtro pelo devEui do dispositivo.
Example:
"ABCDEF1234567890"
Response
Lista de ativações retornada com sucesso.

